Create Text File
Creates a text File (Markdown by default; or plain text, CSV, TSV or JSON) from up to 1 MiB of UTF-8 text. It's ready to read right away. Optionally add it to a Room or a Business. Needs edit access, as uploading does.
Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.
In: header
Header Parameters
Workspace where this operation runs. Required for user tokens and Workspace API keys.
uuid8 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/files/text" \ -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Idempotency-Key: stringst" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "content": "string" }'{ "file": { "file_id": "string", "business_id": "string", "name": "string", "description": "string", "classification": "financial", "tags": [ "string" ], "origin": "upload", "lifecycle": "active", "current_version": { "file_version_id": "string", "version_number": 1, "content_type": "string", "size_bytes": 1, "sha256": "string", "processing_status": "pending_upload", "processing_error": "string", "summary": "string", "created_at": "2019-08-24T14:15:22Z", "ready_at": "2019-08-24T14:15:22Z" }, "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view" }, "new_version": { "file_version_id": "string", "version_number": 1, "content_type": "string", "size_bytes": 1, "sha256": "string", "processing_status": "pending_upload", "processing_error": "string", "summary": "string", "created_at": "2019-08-24T14:15:22Z", "ready_at": "2019-08-24T14:15:22Z" }, "action_receipt": { "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7", "command_id": "7d510d78-7444-4252-aeac-9e473949661e", "operation": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" }, "idempotent_replay": true, "request_id": "string", "room_file": { "room_file_id": "string", "room_id": "string", "file": { "file_id": "string", "business_id": "string", "name": "string", "description": "string", "classification": "financial", "tags": [ "string" ], "origin": "upload", "lifecycle": "active", "current_version": { "file_version_id": "string", "version_number": 1, "content_type": "string", "size_bytes": 1, "sha256": "string", "processing_status": "pending_upload", "processing_error": "string", "summary": "string", "created_at": "2019-08-24T14:15:22Z", "ready_at": "2019-08-24T14:15:22Z" }, "revision": 1, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view" }, "file_version_id": "string", "access_mode": "inherit_room", "status": "pending", "revision": 1, "attached_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "archived_at": "2019-08-24T14:15:22Z", "access_level": "view" }}